%define _buildid .6

Name: hesiod
Version: 3.1.0
Release: 19%{?_buildid}%{?dist}
Source: ftp://athena-dist.mit.edu/pub/ATHENA/hesiod/hesiod-%{version}.tar.gz
Patch1: hesiod-3.1.0-env.patch
Patch2: hesiod-3.1.0-str.patch
Patch3: hesiod-3.1.0-dnsparse.patch
Patch4: hesiod-3.1.0-libresolv.patch
Patch5: hesiod-3.1.0-perms.patch
Summary: Shared libraries for querying the Hesiod naming service
Group: System Environment/Libraries
License: MIT
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: autoconf, automake, libtool

%description
Hesiod is a system which uses existing DNS functionality to provide access
to databases of information that changes infrequently.  It is often used to
distribute information kept in the /etc/passwd, /etc/group, and /etc/printcap
files, among others.

%package devel
Summary: Development libraries and headers for Hesiod
Group: Development/Libraries
Requires: hesiod = %{version}-%{release}

%description devel
Hesiod is a system which uses existing DNS functionality to provide access
to databases of information that changes infrequently.  It is often used to
distribute information which might otherwise kept in the /etc/passwd,
/etc/group, and /etc/printcap files over a network, eliminating the need to
ensure the files are synchronized among multiple hosts.  This package contains
the header files and libraries required for building programs which use Hesiod.

%prep
%setup -q
%patch1 -p1 -b .env
%patch2 -p1 -b .str
%patch3 -p1 -b .dnsparse
%patch4 -p1 -b .libresolv
%patch5 -p1 -b .perms
libtoolize -f -i
aclocal
autoconf -f -i

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README NEWS
%{_libdir}/libhesiod.so.*
%{_mandir}/man5/*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libhesiod.so
%{_includedir}/hesiod.h
%{_mandir}/man3/*

%changelog
* Thu Jul 22 2010 18:18:50 UTC Cristian Gafton <gafton@amazon.com>
- move changelog at the end of file

* Fri Jul 9 2010 22:02:59 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/hesiod-3.1.0-19.el6

* Fri Jul 9 2010 22:02:55 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/hesiod-3.1.0-18.el6

* Fri May 7 2010 01:23:35 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/hesiod-3.1.0-8

* Fri May 7 2010 00:13:26 UTC Cristian Gafton <gafton@amazon.com>
- added submodule prep for package hesiod
